Skip to main content
GET
/
monitors
/
{monitor_id}
Get a monitor
curl --request GET \
  --url https://api.coval.dev/v1/monitors/{monitor_id} \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.coval.dev/v1/monitors/{monitor_id}"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.coval.dev/v1/monitors/{monitor_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "ulid": "01HZ0EXAMPLE00000000000000",
  "name": "Latency SLA Monitor",
  "evaluation_type": "ON_RUN_COMPLETE",
  "cooldown_seconds": 43200,
  "trigger_count": 123,
  "conditions": [
    {
      "ulid": "<string>",
      "metric_id": "<string>",
      "threshold_float": 123,
      "threshold_string": "<string>",
      "window_size_days": 183,
      "window_size_runs": 5000,
      "match_value": "<string>"
    }
  ],
  "channels": [
    {
      "ulid": "<string>",
      "config": {}
    }
  ],
  "create_time": "2023-11-07T05:31:56Z",
  "update_time": "2023-11-07T05:31:56Z",
  "description": "",
  "custom_message_template": "<string>",
  "agent_ids": [
    "<string>"
  ],
  "required_tags": [
    "<string>"
  ],
  "scheduled_run_ids": [
    "<string>"
  ],
  "last_triggered_at": "2023-11-07T05:31:56Z"
}
{
"error": {
"code": "UNAUTHENTICATED",
"message": "Authentication failed",
"details": [
{
"field": "X-API-Key",
"description": "Invalid or missing API key"
}
]
}
}
{
"error": {
"code": "PERMISSION_DENIED",
"message": "Insufficient permissions",
"details": [
{
"field": "permissions",
"description": "Required scope: monitors:read"
}
]
}
}
{
"error": {
"code": "NOT_FOUND",
"message": "Monitor not found",
"details": [
{
"field": "monitor_id",
"description": "Monitor '01HZ0EXAMPLE00000000000000' not found"
}
]
}
}
{
"error": {
"code": "INTERNAL",
"message": "Internal server error",
"details": [
{
"description": "An unexpected error occurred"
}
]
}
}

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

monitor_id
string
required

Monitor ULID

Pattern: ^[0-9A-Z]{26}$

Response

Monitor details

ulid
string
required

Monitor ULID

Pattern: ^[0-9A-Z]{26}$
Example:

"01HZ0EXAMPLE00000000000000"

name
string
required

Human-readable monitor name

Maximum string length: 200
Example:

"Latency SLA Monitor"

status
enum<string>
required

Monitor status

Available options:
ACTIVE,
DELETED
evaluation_type
enum<string>
required

When the monitor evaluates

Available options:
ON_RUN_COMPLETE
scope
enum<string>
required

Which runs the monitor applies to

Available options:
ALL,
MONITORING,
SIMULATION
match_mode
enum<string>
required

How multiple conditions are combined (AND vs OR)

Available options:
ALL,
ANY
cooldown_seconds
integer
required

Minimum seconds between triggers

Required range: 0 <= x <= 86400
trigger_count
integer
required

Number of times this monitor has triggered

conditions
object[]
required

Evaluation conditions

channels
object[]
required

Notification channels

create_time
string<date-time>
required

Creation timestamp

update_time
string<date-time>
required

Last update timestamp

description
string
default:""

Optional description

custom_message_template
string | null

Custom notification message template

Maximum string length: 5000
agent_ids
string[] | null

Restrict to specific agent IDs

required_tags
string[] | null

Restrict to runs with these tags

scheduled_run_ids
string[] | null

Restrict to runs originating from these scheduled runs

last_triggered_at
string<date-time> | null

Last trigger timestamp